commit 4b0a1274faa64cbbe3c3b5db1129b3d2b3b530bb
Author: Eric Botcazou <ebotcazou@gcc.gnu.org>
Date:   Mon May 4 23:32:39 2020 +0200

    Fix Ada bootstrap on Cygwin64
    
    This fixes a compilation error preventing bootstrap with Ada
    on x86_64-pc-cygwin.
    
    2020-05-04  Mikael Pettersson  <mikpelinux@gmail.com>
    
            PR bootstrap/94918
            * mingw32.h: Prevent windows.h from including emmintrin.h on Cygw64.

diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index cb4bdaf32cb..2718106f024 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,8 @@
+2020-05-04  Mikael Pettersson  <mikpelinux@gmail.com>
+
+	PR bootstrap/94918
+	* mingw32.h: Prevent windows.h from including emmintrin.h on Cygwin64.
+
 2020-03-04  Release Manager
 
 	* GCC 8.4.0 released.
diff --git a/gcc/ada/mingw32.h b/gcc/ada/mingw32.h
index 7fad146a9e3..438fb31602d 100644
--- a/gcc/ada/mingw32.h
+++ b/gcc/ada/mingw32.h
@@ -56,6 +56,7 @@
 /* Note: windows.h on cygwin-64 includes x86intrin.h which uses malloc.
    That fails to compile, if malloc is poisoned, i.e. if !IN_RTS.  */
 #define _X86INTRIN_H_INCLUDED
+#define _EMMINTRIN_H_INCLUDED
 #endif
 #include <windows.h>
 

